> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.paradex.trade/api/prod/vaults/get-mine/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server. # Get vaults owned, operated, or sub-operated by the authenticated account GET https://api.prod.paradex.trade/v1/vaults/mine Returns all vaults (any status) where the caller is the operator or owner, plus the vault the caller is a sub-operator (strategy) of, if any. It includes vaults not active yet, like initializing or pending initial deposit. Each vault includes its strategies (sub-operators), so the UI can resolve valid operator \<-> sub-operator transfer counterparties. Reference: https://docs.paradex.trade/api/prod/vaults/get-mine ## Authentication - `Authorization` header (required) — API Key authentication via header ## Response ### 200 OK - `results` (list of responses.VaultResp, optional) — Array of results ## Errors ### 401 Unauthorized Error Unauthorized - `data` (ResponsesApiErrorData, optional) — any additional data related to the error - `error` (enum, optional) — unique immutable string identifier for specific error - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `MEDIA_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `EVM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `MARKET_NOT_SETTLED`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `VAULT_DATA_PRIVATE`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INSUFFICIENT_EVM_BALANCE`, `PORTFOLIO_MARGIN_ONBOARDING_DISABLED`, `PORTFOLIO_MARGIN_INVALID_ACCOUNT_KIND`, `EVM_VAULT_OPERATORS_DISABLED`, `INVALID_EVM_SIGNATURE`, `EVM_SIGNATURE_VERIFICATION_FAILED`, `INVALID_SUBKEY`, `SUBKEY_NOT_ACTIVATABLE`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `IP_NOT_ALLOWED`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`, `XP_TRANSFERS_DISABLED`, `BLOCK_TRADE_NOT_FOUND`, `BLOCK_TRADE_NOT_ENABLED`, `BLOCK_TRADE_EXPIRED`, `BLOCK_TRADE_ALREADY_CANCELLED`, `BLOCK_TRADE_INVALID_STATUS`, `BLOCK_TRADE_UNAUTHORIZED`, `BLOCK_TRADE_MISSING_TRADES`, `BLOCK_TRADE_MISSING_SIGNERS`, `BLOCK_TRADE_MISSING_SIGNATURE`, `BLOCK_TRADE_ACCOUNT_MISMATCH`, `BLOCK_TRADE_INVALID_SIGNATURE`, `BLOCK_TRADE_SIGNER_KEY_UNAUTHORIZED`, `BLOCK_TRADE_REPLAYED_SIGNATURE`, `BLOCK_TRADE_SELF_TRADE`, `OFFER_ALREADY_CANCELLED`, `OFFER_INVALID_STATUS`, `OFFER_UNAUTHORIZED`, `OFFER_PARENT_MISMATCH`, `OFFER_PARENT_NOT_ACCEPTING`, `PORTFOLIO_MARGIN_CONFIG_NOT_FOUND`, `MARGIN_CONFIG_NOT_FOUND`, `MMP_CONFIG_INVALID`, `MMP_NOT_ENABLED`, `MMP_MIN_FREEZE_NOT_ELAPSED`, `MMP_NOT_CONFIGURED` - `message` (string, optional) — detailed description of error and how to address it ## Types ### responses.VaultResp - `address` (string, optional) — Contract address of the vault - `created_at` (integer, optional) — Unix timestamp in milliseconds of when the vault has been created - `curator_name` (string, optional) — Curator name of the vault (empty string if not set) - `description` (string, optional) — Description of the vault - `kind` (enum, optional) — Kind of the vault: 'user' for user-defined vaults, 'protocol' for vaults controlled by Paradex - Allowed values: `user`, `protocol` - `last_updated_at` (integer, optional) — Unix timestamp in milliseconds of when the vault was last updated - `lockup_period` (integer, optional) — Lockup period of the vault in days - `max_tvl` (integer, optional) — Maximum amount of assets the vault can hold in USDC - `name` (string, optional) — Name of the vault - `operator_account` (string, optional) — Operator account of the vault - `owner_account` (string, optional) — Owner account of the vault - `profit_share` (integer, optional) — Profit share of the vault in percentage, i.e. 10 means 10% - `status` (enum, optional) — Status of the vault - Allowed values: `INITIALIZING`, `ACTIVE`, `CLOSED`, `FAILED` - `strategies` (list of responses.Strategy, optional) — Strategies of the vault - `strategy_description` (string, optional) — Strategy description of the vault (empty string if not set) - `token_address` (string, optional) — LP token address - `visibility` (responses.Visibility, optional) — Owner-controlled visibility settings for the vault ### ResponsesApiErrorData any additional data related to the error ### responses.Strategy - `address` (string, optional) — Contract address of the sub-operator - `name` (string, optional) — Strategy name - `visibility` (responses.Visibility, optional) — Owner-controlled visibility settings for the strategy ### responses.Visibility - `balances` (boolean, optional) — Whether the vault's balances are publicly visible - `positions` (boolean, optional) — Whether the vault's positions are publicly visible ## Examples **Response** ```json { "results": [ { "address": "0x1234567890abcdef", "created_at": 1517171717, "curator_name": "Some Curator", "description": "My description", "kind": "user", "last_updated_at": 1617171717, "lockup_period": 1, "max_tvl": 1000000, "name": "MyVault", "operator_account": "0x1234567890abcdef", "owner_account": "0x0234567890abcdef", "profit_share": 10, "status": "ACTIVE", "strategies": [ { "address": "0x29464b79b02543ed8746bba6e71c8a15401dd27b7279a5fa2f2fe8e8cdfabb", "name": "Alpha Strategy", "visibility": { "balances": true, "positions": true } } ], "strategy_description": "Delta Neutral", "token_address": "string", "visibility": { "balances": true, "positions": true } } ] } ``` **SDK Code** ```python import requests url = "https://api.prod.paradex.trade/v1/vaults/mine" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.prod.paradex.trade/v1/vaults/mine'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.prod.paradex.trade/v1/vaults/mine" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.prod.paradex.trade/v1/vaults/mine") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.prod.paradex.trade/v1/vaults/mine") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://api.prod.paradex.trade/v1/vaults/mine', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.prod.paradex.trade/v1/vaults/mine"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/vaults/mine")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```